Browse code

bump vndr v0.1.0 to support versioned import paths

With this change, go packages/modules that use versioned
import paths (github.com/foo/bar/v2), but don't use a directory
in the repository, can now be supported.

For example:

```
github.com/coreos/go-systemd/v22 v22.0.0
```

will vendor the github.com/coreos/go-systemd repository
into `vendor/github.com/coreos/go-systemd/v22`.

full diff: https://github.com/LK4D4/vndr/compare/f5ab8fc5fb64d66b5c6e55a0bcb58b2e92362fa0...v0.1.0

- LK4D4/vndr#83 migrate bitbucket to api 2.0
- fixes LK4D4/vndr#82 https://api.bitbucket.org/1.0/repositories/ww/goautoneg: 410 Gone
- LK4D4/vndr#86 Replace sort.Sort with sort.Strings
- LK4D4/vndr#87 support `github.com/coreos/go-systemd/v22`

Signed-off-by: Sebastiaan van Stijn <github@gone.nl>

Sebastiaan van Stijn authored on 2020/01/10 05:56:20
Showing 1 changed files
... ...
@@ -1,11 +1,11 @@
1 1
 #!/bin/sh
2 2
 
3
-: ${VNDR_COMMIT:=f5ab8fc5fb64d66b5c6e55a0bcb58b2e92362fa0}
3
+: "${VNDR_COMMIT:=d385c05e4c23b602dd16b3d2a1a6c710919bf02f}" # v0.1.0
4 4
 
5 5
 install_vndr() {
6 6
 	echo "Install vndr version $VNDR_COMMIT"
7 7
 	git clone https://github.com/LK4D4/vndr.git "$GOPATH/src/github.com/LK4D4/vndr"
8
-	cd "$GOPATH/src/github.com/LK4D4/vndr"
8
+	cd "$GOPATH/src/github.com/LK4D4/vndr" || exit 1
9 9
 	git checkout -q "$VNDR_COMMIT"
10 10
 	go build -buildmode=pie -v -o "${PREFIX}/vndr" .
11 11
 }